Loading...
Searching...
No Matches
Opm::Segment Class Reference

## Public Types

enum class | SegmentType { REGULAR , SICD , AICD , VALVE }

## Public Member Functions

| Segment (const Segment &src, double new_depth, double new_length, double new_volume, double new_x, double new_y)
| Segment (const Segment &src, double new_depth, double new_length, double new_x, double new_y)
| Segment (const Segment &src, double new_depth, double new_length, double new_volume)
| Segment (const Segment &src, double new_depth, double new_length)
| Segment (const Segment &src, double new_volume)
| Segment (const int segment_number_in, const int branch_in, const int outlet_segment_in, const double depth_in, const double length_in, const double internal_diameter_in, const double roughness_in, const double cross_area_in, const double volume_in, const bool data_ready_in, const double x_in, const double y_in)
| Segment (const RestartIO::RstSegment &rst_segment, const std::string &wname)
int | segmentNumber () const
int | branchNumber () const
int | outletSegment () const
double | totalLength () const
double | node_X () const
double | node_Y () const
double | depth () const
double | internalDiameter () const
double | roughness () const
double | crossArea () const
double | volume () const
bool | dataReady () const
SegmentType | segmentType () const
int | ecl_type_id () const
const std::vector< int > & | inletSegments () const
bool | operator== (const Segment &) const
bool | operator!= (const Segment &) const
const SICD & | spiralICD () const
const AutoICD & | autoICD () const
const Valve & | valve () const
void | updateSpiralICD (const SICD &spiral_icd)
void | updateAutoICD (const AutoICD &aicd)
void | updateValve (const Valve &valve, const double segment_length)
void | updateValve (const Valve &valve)
void | addInletSegment (const int segment_number)
bool | isRegular () const
bool | isSpiralICD () const
bool | isAICD () const
bool | isValve () const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static Segment | serializationTestObject ()
static double | invalidValue ()

## Static Public Attributes

static const double | MAX_REL_ROUGHNESS = 3.7 * std::pow((1.0 - 1.0e-3) - 6.9/4000.0, 9. / 10.)

The documentation for this class was generated from the following files:

- opm/input/eclipse/Schedule/MSW/Segment.hpp
- opm/input/eclipse/Schedule/MSW/Segment.cpp